<?php
/**********************************************************************
	Copyright (C) Evolve Techniologies
	Author : Danushka Widanage
	Email : dwidanage@gmail.com
	Company : Evolve Technologies(pvt)Ltd
***********************************************************************/
class fixedasset_app extends application
{
	function fixedasset_app()
	{
		//$this->application("stock", _($this->help_context = "&Items and Inventory"));
		if($_REQUEST['application'] == 'fixed'){
			$this->application("fixed", _($this->help_context = "<img id='topimg' src='http://".$_SERVER['SERVER_NAME'].BASE_PATH."/themes/default/images/fixedactive.png'>"));
		}else{
			$this->application("fixed", _($this->help_context = "<img id='topimg' src='http://".$_SERVER['SERVER_NAME'].BASE_PATH."/themes/default/images/fixed.png'>"));
		}

		$this->add_module(_("Transactions"));
		/*$this->add_lapp_function(0, _("Purchase &Order Entry"), "purchasing/po_entry_items.php?NewOrder=Yes", 'SA_PURCHASEORDER', MENU_TRANSACTION);
		$this->add_lapp_function(0, _("&Outstanding Purchase Orders Maintenance"), "purchasing/inquiry/po_search.php?", 'SA_GRN', MENU_TRANSACTION);
		$this->add_lapp_function(0, _("Direct &GRN"), "purchasing/po_entry_items.php?NewGRN=Yes", 'SA_GRN', MENU_TRANSACTION);

		$this->add_rapp_function(0, _("Fixed Assets &Transfers"), "fixed/transfers.php?NewTransfer=1", 'SA_LOCATIONTRANSFER', MENU_TRANSACTION);
		$this->add_rapp_function(0, _("Fixed Assets &Adjustments"), "fixed/adjustments.php?NewAdjustment=1", 'SA_INVENTORYADJUSTMENT', MENU_TRANSACTION);*/

		/*$this->add_module(_("Inquiries and Reports"));
		$this->add_lapp_function(1, _("Fixed Assets &Movements"), "fixed/inquiry/stock_movements.php?", 'SA_ITEMSTRANSVIEW', MENU_INQUIRY);
		$this->add_lapp_function(1, _("Fixed Assets &Status"), "fixed/inquiry/stock_status.php?", 'SA_ITEMSSTATVIEW', MENU_INQUIRY);
		$this->add_rapp_function(1, _("Fixed Assets &Reports"), "reporting/reports_main.php?Class=2", 'SA_ITEMSTRANSVIEW', MENU_REPORT);*/

		$this->add_module(_("Maintenance"));
		/*$this->add_lapp_function(2, _("&Fixed Assets"), "fixed/manage/items.php?", 'SA_ITEM', MENU_ENTRY);
		//$this->add_lapp_function(2, _("&Foreign Item Codes"), "inventory/manage/item_codes.php?", 'SA_FORITEMCODE', MENU_MAINTENANCE);
		$this->add_lapp_function(2, _("Sales of Fixed Assets"), "fixed/manage/sales_kits.php?", 'SA_SALESKIT', MENU_MAINTENANCE);
		$this->add_lapp_function(2, _("Fixed Assets &Categories"), "fixed/manage/item_categories.php?", 'SA_ITEMCATEGORY', MENU_MAINTENANCE);
		$this->add_lapp_function(2, _("Fixed Assets &Locations"), "fixed/manage/locations.php?", 'SA_INVENTORYLOCATION', MENU_MAINTENANCE);
		$this->add_rapp_function(2, _("Fixed Assets &Movement Types"), "fixed/manage/movement_types.php?", 'SA_INVENTORYMOVETYPE', MENU_MAINTENANCE);
		$this->add_rapp_function(2, _("&Units of Measure"), "fixed/manage/item_units.php?", 'SA_UOM', MENU_MAINTENANCE);
		$this->add_rapp_function(2, _("&Fixed Assets Replacement"), "fixed/reorder_level.php?", 'SA_REORDER', MENU_MAINTENANCE);*/

		/*$this->add_module(_("Costs of Valuation"));
		$this->add_lapp_function(3, _("Sales of Fixed Assets"), "fixed/prices.php?", 'SA_SALESPRICE', MENU_MAINTENANCE);
		$this->add_lapp_function(3, _("Purchase &of Fixed Assets"), "fixed/purchasing_data.php?", 'SA_PURCHASEPRICING', MENU_MAINTENANCE);
		$this->add_rapp_function(3, _("Written Down Value"), "fixed/cost_update.php?", 'SA_STANDARDCOST', MENU_MAINTENANCE);*/

		$this->add_extensions();
	}
}


?>